Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm.hibernate3
Class LocalRegionFactoryProxy

    java.lang.Object
      org.springframework.orm.hibernate3.LocalRegionFactoryProxy

All Implemented Interfaces:
  Serializable, org.hibernate.cache.spi.RegionFactory, org.hibernate.service.Service

    public class LocalRegionFactoryProxy

extends Object
implements RegionFactory

Proxy for a Hibernate RegionFactory, delegating to a Spring-managed RegionFactory instance, determined by LocalSessionFactoryBean's "cacheRegionFactory" property.

Compatible with Hibernate 3.3 as well as Hibernate 3.5's version of the RegionFactory SPI.

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  `LocalSessionFactoryBean.setCacheRegionFactory(java.lang.Object)`, Serialized Form

Constructor Summary
`LocalRegionFactoryProxy()` Standard constructor.
`LocalRegionFactoryProxy(Properties properties)` Properties constructor: not used by this class or formally required, but enforced by Hibernate when reflectively instantiating a RegionFactory.

Method Summary
`CollectionRegion` | `buildCollectionRegion(String regionName, Properties properties, CacheDataDescription metadata)`
`EntityRegion` | `buildEntityRegion(String regionName, Properties properties, CacheDataDescription metadata)`
`QueryResultsRegion` | `buildQueryResultsRegion(String regionName, Properties properties)`
`TimestampsRegion` | `buildTimestampsRegion(String regionName, Properties properties)`
`AccessType` | `getDefaultAccessType()`
`boolean` | `isMinimalPutsEnabledByDefault()`
`long` | `nextTimestamp()`
`void` | `start(Settings settings, Properties properties)`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.cache.spi.RegionFactory
`buildCollectionRegion, buildEntityRegion`

Constructor Detail

### LocalRegionFactoryProxy

    public LocalRegionFactoryProxy()

  Standard constructor.

### LocalRegionFactoryProxy

    public LocalRegionFactoryProxy(Properties properties)

  Properties constructor: not used by this class or formally required, but enforced by Hibernate when reflectively instantiating a RegionFactory.

Method Detail

### start

    public void start(Settings settings,
                      Properties properties)
               throws CacheException

  Specified by:
    `start` in interface `org.hibernate.cache.spi.RegionFactory`
  Throws:
    `CacheException`

### stop

    public void stop()

  Specified by:
    `stop` in interface `org.hibernate.cache.spi.RegionFactory`

### isMinimalPutsEnabledByDefault

    public boolean isMinimalPutsEnabledByDefault()

  Specified by:
    `isMinimalPutsEnabledByDefault` in interface `org.hibernate.cache.spi.RegionFactory`

### getDefaultAccessType

    public AccessType getDefaultAccessType()

  Specified by:
    `getDefaultAccessType` in interface `org.hibernate.cache.spi.RegionFactory`

### nextTimestamp

    public long nextTimestamp()

  Specified by:
    `nextTimestamp` in interface `org.hibernate.cache.spi.RegionFactory`

### buildEntityRegion

    public EntityRegion buildEntityRegion(String regionName,
                                          Properties properties,
                                          CacheDataDescription metadata)
                                   throws CacheException

  Throws:
    `CacheException`

### buildCollectionRegion

    public CollectionRegion buildCollectionRegion(String regionName,
                                                  Properties properties,
                                                  CacheDataDescription metadata)
                                           throws CacheException

  Throws:
    `CacheException`

### buildQueryResultsRegion

    public QueryResultsRegion buildQueryResultsRegion(String regionName,
                                                      Properties properties)
                                               throws CacheException

  Specified by:
    `buildQueryResultsRegion` in interface `org.hibernate.cache.spi.RegionFactory`
  Throws:
    `CacheException`

### buildTimestampsRegion

    public TimestampsRegion buildTimestampsRegion(String regionName,
                                                  Properties properties)
                                           throws CacheException

  Specified by:
    `buildTimestampsRegion` in interface `org.hibernate.cache.spi.RegionFactory`
  Throws:
    `CacheException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD